> For the complete documentation index, see [llms.txt](https://docs.receipthero.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.receipthero.io/filetypes/receipthero-json.md).

# ReceiptHero JSON

{% hint style="info" %}
Please check [HeroJSON Specification](/filetypes/receipthero-json/herojson-specification.md) for implementation details!
{% endhint %}

```javascript
{
  "type": "PURCHASE",
  "merchant": {
    "name": "Global Receipt Delicatesse",
    "companyID": "123456-7",
    "branch": {
      "id": "45910",
      "name": "Receipt Restaurant",
      "subName": "FastFood",
      "posId": "003287",
      "email": "restaurant@example.com",
      "phone": "040-5086462",
      "websiteURL": "https://www.getreceipthero.com/",
      "address": {
        "streetAddress": "Finlaysoninkatu 7",
        "city": "Tampere",
        "zipCode": "733210",
        "country": "Finland"
      }
    }
  },
  "products": [
    {
      "name": "Ground Control",
      "EANCode": "42222130165",
      "quantity": "4",
      "productId": "1234",
      "quantityCode": "PCS",
      "unitPriceIncVAT": 5180,
      "unitPriceIncVATDecimal": "51,80",
      "totalAmountExcVAT": 18836,
      "totalAmountIncVAT": 20720,
      "vats": [
        {
          "VATRate": "24",
          "VATAmount": 1884,
          "totalAmountExcVAT": 18836,
          "totalAmountIncVAT": 20720
        }
      ],
      "discounts": [
        {
          "amount": 2027,
          "percentage": "10.00",
          "description": "Loyalty discount"
        }
      ],
      "freeText": "Product instructions etc",
      "customAttributes": [
        {
          "Warranty": "2 years"
        },
        {
          "Valid until": "2024-01-14"
        }
      ]
    }
  ],
  "freeText": "Custom greetings etc",
  "vats": [
    {
      "VATRate": "24",
      "totalVATAmount": 1884,
      "totalAmountExcVAT": 18836,
      "totalAmountIncVAT": 20720,
      "VATCode": "A"
    }
  ],
  "payments": [
    {
      "type": "CARD",
      "amount": 13243,
      "attributes": {
        "transactionType": "PURCHASE",
        "currencyISOCode": "EUR",
        "MID": "12346543",
        "timeStamp": "2022-09-01T12:35:34.678+02:00",
        "terminalId": "BS-4545F9",
        "referenceNumber": "220901015555",
        "authorizationCode": "HIU456",
        "transactionId": "05555",
        "receiptNumber": "12923",
        "maskedPAN": "525400******9876",
        "APP": "MASTERCARD DEBIT",
        "cardNetwork": "MASTERCARD",
        "cardType": "DEBIT",
        "cardProgram": "Nordic Tech Bank — MC Debit",
        "transactionRawText": "CARD TRANSACTION\n\nCard: Debit Mastercard\n **** **** **** 9876 LN\nApplication: A0000000041010\nTr.Nr/Auth: 05555/HIU456\nPayee/business: 0029432413000/0001\n\nReference: 220901015555\n\nCredit/Charge 207,20 EUR\nPayPass Contactless \n\n",
        "preAuthorizedAmount": 30000,
        "ENTRY": "Contactless ICC (07)",
        "ARC": "APPROVED (00)",
        "TVR": "8000008000",
        "TSI": "E800",
        "AID": "A0000000031010",
        "AC": "9F270180",
        "CID": "0x80",
        "cryptogramType": "ARQC",
        "CVM": "Online PIN"
      },
      "customAttributes": [
        {
          "key": "value"
        },
        {
          "key2": "value2"
        }
      ]
    },
    {
      "type": "LOYALTY",
      "amount": 18243,
      "attributes": {
        "cardType": "Plussa",
        "maskedPAN": "1881"
      },
      "customAttributes": [
        {
          "ExtraBonus": "234 points"
        },
        {
          "key2": "value2"
        },
        {
          "key3": "value3"
        }
      ]
    },
    {
      "type": "CASH",
      "amount": 5000,
      "attributes": {
        "handedAmount": 5000
      }
    }
  ],
  "customAttributes": [
    {
      "key": "value"
    },
    {
      "key2": "value2"
    }
  ],
  "receiptNumber": "89942344234",
  "receiptTimeStamp": "2022-09-01T06:02:20.715Z",
  "currencyISOCode": "EUR",
  "totalVATAmount": 1884,
  "totalPriceExcVAT": 16359,
  "totalPriceIncVAT": 18243,
  "attachments": [
    {
      "type": "QRCODE",
      "kind": "RETURN",
      "title": "Scan me at cash register",
      "description": "Show this code at cash register if you wish to return items from this purchase.",
      "data": "89942344234"
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.receipthero.io/filetypes/receipthero-json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
